Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.reboot
Class DefaultMuleClassPathConfig

    java.lang.Object
      org.mule.module.reboot.DefaultMuleClassPathConfig

    public class DefaultMuleClassPathConfig

extends Object

Constructs a default set of JAR Urls located under Mule home folder.

Field Summary
`protected static String` | `MULE_DIR`
`protected static String` | `OPT_DIR`
`protected List<URL>` | `urls`
`protected static String` | `USER_DIR`

Constructor Summary
`DefaultMuleClassPathConfig(File muleHome, File muleBase)`

Method Summary
`void` | `addFile(File jar)`
`void` | `addFiles(List<File> files)`
`protected void` | `addLibraryDirectory(File muleHome, String libDirectory)`
`protected void` | `addMuleBaseUserLibs(File muleHome, File muleBase)`
`void` | `addURL(URL url)` Add a URL to Mule's classpath.
`void` | `addURLs(List<URL> moreUrls)`
`List<URL>` | `getURLs()`
`protected void` | `init(File muleHome, File muleBase)`
`protected List<File>` | `listJars(File path)` Find and if necessary filter the jars for classpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULE_DIR

    protected static final String MULE_DIR

See Also:
  Constant Field Values

### USER_DIR

    protected static final String USER_DIR

See Also:
  Constant Field Values

### OPT_DIR

    protected static final String OPT_DIR

See Also:
  Constant Field Values

### urls

    protected List<URL> urls

Constructor Detail

### DefaultMuleClassPathConfig

    public DefaultMuleClassPathConfig(File muleHome,
                                      File muleBase)

Method Detail

### init

    protected void init(File muleHome,
                        File muleBase)

### addMuleBaseUserLibs

    protected void addMuleBaseUserLibs(File muleHome,
                                       File muleBase)

### addLibraryDirectory

    protected void addLibraryDirectory(File muleHome,
                                       String libDirectory)

### getURLs

    public List<URL> getURLs()

### addURLs

    public void addURLs(List<URL> moreUrls)

### addURL

    public void addURL(URL url)

  Add a URL to Mule's classpath.

  Parameters:
    `url` - folder (should end with a slash) or jar path

### addFiles

    public void addFiles(List<File> files)

### addFile

    public void addFile(File jar)

### listJars

    protected List<File> listJars(File path)

  Find and if necessary filter the jars for classpath.

  Returns:
    a list of `File`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.